LockedAcidNNMethod
Date: 2014-08-08

melting.patternModels.specificAcids

## Class LockedAcidNNMethod

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.specificAcids.LockedAcidNNMethod

- All Implemented Interfaces:
    NamedMethod, PatternComputationMethod
  Direct Known Subclasses:
    Owczarzy11SingleMismatchLockedAcid, Owczarzy11TandemLockedAcid

      public abstract class LockedAcidNNMethod
      extends PatternComputation
      implements NamedMethod

  This class represents the locked nucleic acid (AL, GL, CL or TL) model owc11. It extends PatternComputation. McTigue et al.(2004). Biochemistry 43 : 5388-5405

- - ### Field Summary

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockedAcidNNMethod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computeThermodynamics(NucleotidSequences sequences, int pos1, int pos2, ThermoResult result)`
    `abstract java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment, int pos1, int pos2)`
    `boolean` | `isMissingParameters(NucleotidSequences sequences, int pos1, int pos2)` Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, initialiseFileName, loadData, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockedAcidNNMethod

          public LockedAcidNNMethod()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment,
                             int pos1,
                             int pos2)

      Specified by:
        `isApplicable` in interface `PatternComputationMethod`
      Overrides:
        `isApplicable` in class `PatternComputation`
      Returns:
        false if the model used to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2 is not applicable with the environment. If the environment can make the results less reliable, a warning message will appear.

    - #### computeThermodynamics

          public ThermoResult computeThermodynamics(NucleotidSequences sequences,
                                           int pos1,
                                           int pos2,
                                           ThermoResult result)

      Specified by:
        `computeThermodynamics` in interface `PatternComputationMethod`
      Specified by:
        `computeThermodynamics` in class `PatternComputation`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
        `result` - which contains the computed enthalpy, entropy and melting temperature.
      Returns:
        ThermoResult result which contains the incremented enthalpy and entropy values.

    - #### isMissingParameters

          public boolean isMissingParameters(NucleotidSequences sequences,
                                    int pos1,
                                    int pos2)

      Description copied from interface: `PatternComputationMethod`
      Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.
      Specified by:
        `isMissingParameters` in interface `PatternComputationMethod`
      Overrides:
        `isMissingParameters` in class `PatternComputation`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
      Returns:
        false if one necessary thermodynamic parameter is missing.

    - #### getName

          public abstract java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.